LotusGraphInternal::Zone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Friends | List of all members
LotusGraphInternal::Zone Struct Reference

the graphic zone of a LotusGraph More...

## Public Types
enum | Type { Arc, Frame, Line, Rect, Unknown }
| the different type More...

## Public Member Functions
| Zone ()
| constructor More...
bool | getGraphicShape (WPSGraphicShape &shape, WPSPosition &pos) const
| returns a graphic shape corresponding to the main form (and the origin) More...

## Public Attributes
Type | m_type
| the zone type More...
int | m_subType
| the file modifier type More...
Box2i | m_box
| the bdbox More...
int | m_ordering
| the ordering More...
int | m_lineId
| the line style id More...
int | m_graphicId
| the graphic style id, used with rect shadow More...
int | m_surfaceId
| the surface color style id More...
bool | m_hasShadow
| a flag to know if we need to add shadow More...
WPSEntry | m_pictureEntry
| the picture entry More...
WPSEntry | m_textBoxEntry
| the text box entry More...
int | m_values [4]
| unknown other value More...
std::string | m_extra
| extra data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<< More...

## Detailed Description

the graphic zone of a LotusGraph

## Member Enumeration Documentation

enum LotusGraphInternal::Zone::Type

the different type

Enumerator
Arc |
Frame |
Line |
Rect |
Unknown |

## Constructor & Destructor Documentation

LotusGraphInternal::Zone::Zone | ( |  | ) |
| inline

constructor

## Member Function Documentation

bool LotusGraphInternal::Zone::getGraphicShape | ( | WPSGraphicShape & | shape,
|  | WPSPosition & | pos
| ) |  | const

returns a graphic shape corresponding to the main form (and the origin)

Referenced by LotusGraph::sendPicture(), and Zone().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

Box2i LotusGraphInternal::Zone::m_box

the bdbox

Referenced by getGraphicShape().

std::string LotusGraphInternal::Zone::m_extra

extra data

int LotusGraphInternal::Zone::m_graphicId

the graphic style id, used with rect shadow

Referenced by LotusGraph::sendPicture().

bool LotusGraphInternal::Zone::m_hasShadow

a flag to know if we need to add shadow

int LotusGraphInternal::Zone::m_lineId

the line style id

int LotusGraphInternal::Zone::m_ordering

the ordering

WPSEntry LotusGraphInternal::Zone::m_pictureEntry

the picture entry

Referenced by LotusGraph::sendPicture().

int LotusGraphInternal::Zone::m_subType

the file modifier type

Referenced by getGraphicShape().

int LotusGraphInternal::Zone::m_surfaceId

the surface color style id

WPSEntry LotusGraphInternal::Zone::m_textBoxEntry

the text box entry

Type LotusGraphInternal::Zone::m_type

the zone type

Referenced by getGraphicShape().

int LotusGraphInternal::Zone::m_values[4]

unknown other value

Referenced by Zone().

The documentation for this struct was generated from the following file:

- LotusGraph.cpp